Home
Home
  1. Payment Requests
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
      • Revoke a Mandate
      • Get a Mandate
      • Search mandates with filtering and pagination
    • Payment Requests
      • Instruct a new payment request
        POST
      • Cancel an existing payment request
        DELETE
      • Get a Payment
        GET
      • Search payment requests with filtering and pagination
        GET
    • Schedules
      • Instruct a new schedule
      • Cancel an existing schedule
      • Get a schedule
      • Get many schedules
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
      • Payout
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
      • Availability
    • AvailabilityStatus
    • ProblemDetails
    • Metadata
    • ScheduleCancelResponse
    • InstalmentRequest
    • ScheduleResponse
    • ScheduleStatus
    • PagingResponse
    • InstalmentResponse
    • ConsumerData
    • LightAvailabilityCheckRequest
    • LightAvailabilityCheckResponse
    • PayoutPaymentRequestItem
    • PayoutResponse
    • ListPayoutsResponse
    • ScheduleCreateRequest
    • AuthorisationSource
    • PaymentStatus
    • FullAvailabilityCheckRequest
    • MandateRecordResponse
    • MandateLimitations
    • MandateRecordRequest
    • PaymentCreateRequest
    • ExpectedPayment
    • PaymentCancelResponse
    • FullAvailabilityCheckResponse
    • PaymentResponse
    • SearchMandatesResponse
    • SearchMandatesResults
    • MandateWrapper
    • MandateDto
    • SearchPagingInfo
    • SearchPaymentsResponse
    • SearchPaymentsResults
    • PaymentRecordWrapper
    • SearchPaymentRecord
    • SearchPaymentsPagingResponse
    • SearchSchedulesResponse
  1. Payment Requests

Search payment requests with filtering and pagination

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
GET
https://mock.apidog.com/m1/828215-0-default
/payments/search
OperationId:searchPaymentRequests
Retrieves a cursor paginated list of payment requests for the authenticated biller, with optional status filtering. Results are ordered by due date, earliest first. To get the next page pass paging.next_cursor as the cursor parameter; next_cursor is omitted on the last page. When filtering by status a page can contain fewer results than the limit, or none, while has_more is still true.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200Success
application/json
Successful search response
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://mock.apidog.com/m1/828215-0-default/payments/search?status=&cursor=&limit=' \
--header 'x-api-key: <api-key>' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Success Example
{
    "results": {
        "payments": [
            {
                "payment_record": {
                    "id": "69385c01-872b-41c9-a298-dd4c46715ed5",
                    "mandate_id": "dad4b0a1-8f01-4317-b12b-4c872b398f54",
                    "schedule_id": null,
                    "requested_amount": 36338,
                    "currency": "GBP",
                    "due_date": "2026-08-11",
                    "expected_pay_date": "2026-08-04",
                    "status": "Confirmed",
                    "actual_amount": 36338,
                    "expected_payments": [
                        {
                            "sequence": 1,
                            "expected_pay_date": "2026-08-04",
                            "amount": 36338,
                            "status": "Confirmed",
                            "supply_method": "Payroll"
                        }
                    ],
                    "metadata": null
                }
            }
        ],
        "paging": {
            "limit": 50,
            "has_more": true,
            "next_cursor": "eyJsYXN0S2V5IjoiYWJjMTIzIn0="
        }
    }
}
Previous
Get a Payment
Next
Schedules